<div class="wrapper">
  <div>dynamic-component</div>
  <div>
    <button (click)="triggerngIfPopup()">ngIf popup</button>
    <button (click)="triggerDynamicPopup()">dynamic component popup</button>
  </div>
  <app-dynamic-child *ngIf="showPopup" (close)="triggerngIfPopup()"></app-dynamic-child>
  <ng-template #popup1 appPlaceholder></ng-template>
  <ng-template #popup2 appPlaceholder></ng-template>
</div>
